body {
  margin: 0;
  padding: 0;
  font-family: -apple-system, BlinkMacSystemFont, "WorkSans", "Roboto", "Oxygen",
    "Ubuntu", "Cantarell", "Fira Sans", "Droid Sans", sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  overflow: hidden;
}

code {
  font-family: source-code-pro, Menlo, Monaco, Consolas, "Courier New",
    monospace;
}

*,
*::before,
*::after {
  box-sizing: border-box;
}

ul[class],
ol[class] {
  padding: 0;
}

body,
h1,
h2,
h3,
h4,
p,
ul[class],
ol[class],
li,
figure,
figcaption,
blockquote,
dl,
dd {
  margin: 0;
}

ul[class],
ol[class] {
  list-style: none;
}

a:not([class]) {
  text-decoration-skip-ink: auto;
}

img {
  display: block;
}

input,
button,
textarea,
select {
  font: inherit;
  border: none;
  outline: none;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  /* display: none; <- Crashes Chrome on hover */
  -webkit-appearance: none;
  margin: 0; /* <-- Apparently some margin are still there even though it's hidden */
}

input[type="number"] {
  -moz-appearance: textfield; /* Firefox */
}

// Reset google chrome autocomplete styles
input,
textarea {
  &:-webkit-autofill,
  &:-webkit-autofill:focus {
    transition: background-color 6000000s 0s, color 6000000s 0s;
  }
  &[data-autocompleted] {
    background-color: transparent !important;
  }
}

a {
  text-decoration: none;
}

button {
  cursor: pointer;
  background-color: transparent;
  padding: 0;
}

*::-webkit-scrollbar {
  width: 5px;
}

/* Track */
*::-webkit-scrollbar-track {
  background: #212121;
}

/* Handle */
*::-webkit-scrollbar-thumb {
  background: #3a3a3b;
}

/* Handle on hover */
*::-webkit-scrollbar-thumb:hover {
  background: #555;
}
